Bug 1463770 - SELinux is preventing sh from 'read' accesses on the file passwd.
SELinux is preventing sh from 'read' accesses on the file passwd.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:f1540497928f44c1e50464637ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 13:47 EDT by Jia Yuan Lo
Modified: 2017-06-27 10:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 10:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jia Yuan Lo 2017-06-21 13:47:42 EDT
Description of problem:
SELinux is preventing sh from 'read' accesses on the file passwd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sh should be allowed read access on the passwd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'sh' --raw | audit2allow -M my-sh
# semodule -X 300 -i my-sh.pp

Additional Information:
Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:object_r:sssd_public_t:s0
Target Objects                passwd [ file ]
Source                        sh
Source Path                   sh
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-257.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.5-300.fc26.x86_64 #1 SMP Wed
                              Jun 14 19:16:35 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-06-22 01:45:20 +08
Last Seen                     2017-06-22 01:45:20 +08
Local ID                      1dd6882f-fda1-4610-a7de-a84189eb58f7

Raw Audit Messages
type=AVC msg=audit(1498067120.713:291): avc:  denied  { read } for  pid=2062 comm="sh" name="passwd" dev="sda4" ino=180953 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:sssd_public_t:s0 tclass=file permissive=1


Hash: sh,boinc_t,sssd_public_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-257.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.5-300.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.